Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Web Tools Project (WTP) » Problem with WST p2 metadata?
Problem with WST p2 metadata? [message #1010840] Mon, 18 February 2013 05:16 Go to next message
Dave Nice is currently offline Dave Nice
Messages: 4
Registered: July 2012
Junior Member
Hey all,

I've downloaded wtp-noop-R-3.4.1-20120917174803.zip.

I'm using this as a source for a p2-based build, and when I try and build a feature that includes WST, I get this error:

[java] #buildpath#/eclipse422/plugins/org.eclipse.pde.build_3.8.2.v20121114-140810/scripts/genericTargets.xml:111: Unable to find feature "org.eclipse.wst.xml_ui.feature" with version in range [3.4.1.v201208170345-7H7GFeFDxumUpsw5rgjWnKDrsz0p4ymwiRz011T2,3.4.1.v201208170345-7H7GFeFDxumUpsw5rgjWnKDrsz0p4ymwiRz011T2].

In the WTP zip referenced above, I find:
org.eclipse.wst.xml_ui.feature_3.4.1.v201208170345-7H7GFeFDxumUpsw5rgjWnKDrsz0p4ymwjQz00T2S

But in:
org.eclipse.wst.ws_ui.feature_3.4.1.v201208172041-7I7CFkXEtEoXHw684K6n3-z-F3stz0lKFx169q5z/feature.xml

It has:
<includes id="org.eclipse.wst.xml_ui.feature" version="3.4.1.v201208170345-7H7GFeFDxumUpsw5rgjWnKDrsz0p4ymwiRz011T2"/>

Which is not the right version?

Can anyone help me understand whether I'm doing something wrong, and how to get around this issue?

Thanks!

Dave
Re: Problem with WST p2 metadata? [message #1010908 is a reply to message #1010840] Mon, 18 February 2013 08:15 Go to previous message
Dave Nice is currently offline Dave Nice
Messages: 4
Registered: July 2012
Junior Member
I've downloaded wtp-noop-M-3.4.2RC3-20130205151959.zip and it allows me continue.

I wonder if the 3.4.1 version has not built correctly?
Previous Topic:launch configurations in java ee project can't be saved in the project
Next Topic:Snippets provider
Goto Forum:
  


Current Time: Thu Jul 24 09:19:34 EDT 2014

Powered by FUDForum. Page generated in 0.02007 seconds